Crear una actividad
curl --request POST \
--url https://notiq.online/api/v1/teams/{teamId}/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"sprintId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"points": 50,
"dueDate": "2023-12-25",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://notiq.online/api/v1/teams/{teamId}/activities"
payload = {
"title": "<string>",
"sprintId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"points": 50,
"dueDate": "2023-12-25",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
sprintId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
points: 50,
dueDate: '2023-12-25',
assignedTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://notiq.online/api/v1/teams/{teamId}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>"
}Crear una actividad
Requiere el scope write.
POST
/
api
/
v1
/
teams
/
{teamId}
/
activities
Crear una actividad
Authorizations
API key de Notiq (ntq_sk_…)
Path Parameters
Body
application/json
Título de la actividad
Required string length:
1 - 300Id del sprint donde vive la actividad
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
PENDING, SUGGESTED, ASSIGNED, IN_PROGRESS, NEEDS_HELP, BLOCKED, REVIEW, COMPLETED, BACKLOG, TODO, IN_REVIEW, DONE, REOPENED Available options:
LOW, MEDIUM, HIGH, CRITICAL Required range:
0 <= x <= 100Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
La actividad creada
⌘I